## org.eclipse.emf.ecore.resource.impl
Class BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData

Enclosing class:
  BinaryResourceImpl.EObjectOutputStream

    protected static class BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData

extends java.lang.Object

Field Summary
`EDataType` `eDataType`
`EFactory` `eFactory`
`boolean` `isTransient`
`BinaryResourceImpl.BinaryIO.FeatureKind` `kind`
`java.lang.String` `name`

Constructor Summary
`protected` `BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### isTransient

    public boolean isTransient

### kind

    public BinaryResourceImpl.BinaryIO.FeatureKind kind

### eFactory

    public EFactory eFactory

### eDataType

    public EDataType eDataType

Constructor Detail

### BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData

    protected BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.